fn main() {
    let x = ["a", "b", "c", "d"];
    for i in &x {
        match *i {
            s @ "a" | s @ "b" => println!("IS A or B: {}", s),
            s if s == "c" => println!("IS C: {}", s),
            s => println!("Others: {}", s),
        }
    }
}